# $Revision: 1.10 $, $Date: 2009/03/15 15:08:55 $

%define		module	PyPAM

Summary:	PAM bindings for Python
Summary(pl.UTF-8):	Wiązania pythona do obsługi PAM
Name:		python-%{module}
Version:	0.5.0
Release:	1
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://www.pangalactic.org/PyPAM/%{module}-%{version}.tar.gz
# Source0-md5:	f1e7c2c56421dda28a75ace59a3c8871
URL:		http://www.pangalactic.org/PyPAM/
BuildRequires:	pam-devel
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM (Pluggable Authentication Module) bindings for Python.

%description -l pl.UTF-8
Wiązania PAM dla pythona.

%prep
%setup -q -n %{module}-%{version}
sed -i -e 's#python1.5/Python.h#python%{py_ver}/Python.h#g' PAMmodule.c

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/PAMmodule.so
%{py_sitedir}/PyPAM-%{version}-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyPAM.spec,v $
Revision 1.10  2009/03/15 15:08:55  duddits
- up to 0.5.0
- pythonize %build and %install
- %files

Revision 1.9  2008/10/03 17:58:39  arekm
- release 3

Revision 1.8  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.6  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.5  2004/12/26 17:40:46  saq
- release 2 for rebuild with python 2.4

Revision 1.4  2004/12/22 20:45:36  qboosh
- use py_ver macro instead of hardcoded 2.3

Revision 1.3  2004/12/20 20:23:07  qboosh
- spec is for python 2.3 ATM...

Revision 1.2  2004/12/17 07:00:47  darekr
- BR sed 4.0

Revision 1.1  2004/12/17 01:54:25  undefine
- initial version
